# Form Subcomponents: Payment Manager Field

The Payment Manager Field subcomponent can only be used within the [Form component](/components/component-library/modular-checkout-components/component-checkout-form.md).

The Payment Manager Field provides a way for customers to input payment information, for example a Zuora iFrame, a Paypal button, or an Apple Pay button.. This subcomponent should always be used with the [Payment Method Selector Fields subcomponent](/components/component-library/modular-checkout-components/modular-checkout-subcomponents-in-form/form-subcomponents-payment-method-selector-field.md), which will capture the customer's desired payment method and drive what is displayed in the Payment Manager Field component. These 2 subcomponents should be used instead of the [Payment Fields](/components/component-library/modular-checkout-components/modular-checkout-subcomponents-in-form/form-subcomponents-payment-field.md) subcomponent when you want to show data in between the selector and the payment input.

### Props

| Prop Name                   | Label                          | Type   | Default Value                                                   | Description                                        |
| --------------------------- | ------------------------------ | ------ | --------------------------------------------------------------- | -------------------------------------------------- |
| invalidPaymentMethodMessage | Invalid payment method message | string | Oops! Something went wrong. Please wait a moment and try again. |                                                    |
| fieldClassName              | Class Name                     | string | ""                                                              | The CSS class name for styling the field component |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.limio.com/components/component-library/modular-checkout-components/modular-checkout-subcomponents-in-form/form-subcomponents-payment-manager-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
